-- | Prints all events from the current directory
module Main where

import qualified System.Inotify as I

main = do
  inotify <- I.inotify
  watch <- I.addWatch inotify "." I.allChangeEvents []
  print watch

  sequence $ repeat $ I.next inotify >>= print
